package cn.com.poc.equity.dto;	


public class BizMemberEquityDto {

    private static final long serialVersionUID = 1L;
	/** id
    *主键ID
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** member_id
    *用户ID
    */ 
    private java.lang.Long memberId;

    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
	/** equity_level
    *权益等级 normal-普通版 professional-专业版 ， ultimate-旗舰版
    */ 
    private java.lang.String equityLevel;

    public java.lang.String getEquityLevel(){
        return this.equityLevel;
    }
    
    public void setEquityLevel(java.lang.String equityLevel){
        this.equityLevel = equityLevel;
    }
	/** expired_date
    *权益过期时间
    */ 
    private java.util.Date expiredDate;

    public java.util.Date getExpiredDate(){
        return this.expiredDate;
    }
    
    public void setExpiredDate(java.util.Date expiredDate){
        this.expiredDate = expiredDate;
    }
	/** equity_config
    *权益配置- 知识库最大创建数   应用最大创建数
    */ 
    private java.lang.String equityConfig;

    public java.lang.String getEquityConfig(){
        return this.equityConfig;
    }
    
    public void setEquityConfig(java.lang.String equityConfig){
        this.equityConfig = equityConfig;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}